Bug 1004350 - SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory /etc/openvpn.
SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory...
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-09-04 09:05 EDT by John Griffiths
Modified: 2014-01-29 12:15 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-29 12:15:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Griffiths 2013-09-04 09:05:47 EDT
Description of problem:
SELinux is preventing /usr/sbin/httpd from 'search' accesses on the directory /etc/openvpn.

Do not know if this should be allowed or not.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that httpd should be allowed search access on the openvpn directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
allow this access for now by executing:
# grep /usr/sbin/httpd /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:httpd_t:s0
Target Context                system_u:object_r:openvpn_etc_t:s0
Target Objects                /etc/openvpn [ dir ]
Source                        /usr/sbin/httpd
Source Path                   /usr/sbin/httpd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           httpd-2.4.6-2.fc19.x86_64
Target RPM Packages           openvpn-2.3.2-1.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-73.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.10.9-200.fc19.x86_64 #1 SMP Wed
                              Aug 21 19:27:58 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-09-01 03:19:05 EDT
Last Seen                     2013-09-01 03:19:05 EDT
Local ID                      51c4339e-7227-455b-bc04-9bfebac25855

Raw Audit Messages
type=AVC msg=audit(1378019945.558:9798): avc:  denied  { search } for  pid=8317 comm="/usr/sbin/httpd" name="openvpn" dev="dm-1" ino=4195107 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:openvpn_etc_t:s0 tclass=dir

type=SYSCALL msg=audit(1378019945.558:9798): arch=x86_64 syscall=stat success=no exit=EACCES a0=7f621bcb6680 a1=7fff913c40b0 a2=7fff913c40b0 a3=fffffe00 items=0 ppid=1407 pid=8317 auid=4294967295 uid=48 gid=48 euid=48 suid=48 fsuid=48 egid=48 sgid=48 fsgid=48 ses=4294967295 tty=(none) comm=/usr/sbin/httpd exe=/usr/sbin/httpd subj=system_u:system_r:httpd_t:s0 key=(null)

Hash: /usr/sbin/httpd,httpd_t,openvpn_etc_t,dir,search

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.10.10-200.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-09-04 09:08:36 EDT
Why is apache executing openvpn?
Comment 2 John Griffiths 2013-09-04 09:27:09 EDT
I do not know. I made no changes that would cause that to my knowledge.
Comment 3 Daniel Walsh 2013-09-04 09:28:21 EDT
Actually it is not executing, it is just strolling around looking at different directories on your system.
Comment 4 Miroslav Grepl 2013-09-09 13:56:53 EDT
It looks there is a module?
Comment 5 Joe Orton 2014-01-29 12:15:47 EST
A reasonable assumption would be that your server has been compromised if httpd is attempting to look at the VPN configuration.

Note You need to log in before you can comment on or make changes to this bug.